<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
        <TargetFrameworks>net7.0;net461</TargetFrameworks>
        <LangVersion>7.3</LangVersion>
        <Configurations>Release;Debug</Configurations>
        <Platforms>AnyCPU;x64</Platforms>
        <AssemblyName>Samples_ComPDFKit</AssemblyName>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
      <PlatformTarget>AnyCPU</PlatformTarget>
    </PropertyGroup>

    <ItemGroup>
      <Compile Include="..\..\LicenseKey.cs">
        <Link>LicenseKey.cs</Link>
      </Compile>
    </ItemGroup>

    <ItemGroup>
      <Content Include="..\..\..\..\..\..\x64\ComPDFKitNative.dll">
          <Link>x64\ComPDFKitNative.dll</Link>
          <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </Content>
        
      <Content Include="..\..\..\TestFile\AllPasswords.pdf">
        <Link>AllPasswords.pdf</Link>
      </Content>
      <Content Include="..\..\..\TestFile\CommonFivePage.pdf">
        <Link>CommonFivePage.pdf</Link>
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Content>
      <Content Include="..\..\ComPDFKit_Logo.ico">
        <Link>ComPDFKit_Logo.ico</Link>
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Content>
      <Content Include="..\..\license_key_windows.txt">
        <Link>license_key_windows.txt</Link>
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Content>
    </ItemGroup>

    <ItemGroup>
    <ProjectReference Include="..\..\..\..\..\..\compdfkit_windows\ComPDFKit\ComPDFKitCSharp\ComPDFKit.Net.csproj">
      <Project>{56e518ad-c126-4b48-9a09-0a64c87020e4}</Project>
      <Name>ComPDFKit.Desk</Name>
    </ProjectReference>
  </ItemGroup>

</Project>
